Bug 199954 - Can't enter a toolchain BaseDirectory on remote machine.
Can't enter a toolchain BaseDirectory on remote machine.
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Remote
7.1
All All
: P2 (vote)
: 7.1
Assigned To: Vladimir Kvashin
issues@cnd
CR_7063511, 701patch2-verified, oss30
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-07 17:28 UTC by Thomas Preisler
Modified: 2011-09-27 12:42 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Preisler 2011-07-07 17:28:01 UTC
From CR 7063511:

The validator for the BaseDirectory in the AddNewToolCollection for <remotehost>
dialog doesn't accept anything I type in. 

When I add a new Toolchain The BaseDirectory field starts out empty 
and the error is "Base Directory is not set".
I paste a known accessible path w/o soft links:
	/shared/<see orig. CR>/solstudio12.2/bin
The error message now says Directory ....is not exist or is not available.
	BTW, the first 'is' should be a 'does'.

I trim it down to, say, /shared/dp ...
Still "... is not exist .."
I click on Browse and it starts at / but doesn't show anything underneath it.

I change the text to / see if Browse works from there and ah! I get an
authenticatiopn type dialog. If I cancel that dialog the error changes to
"Host not connected".

It took me way too long to figure why these paths aren't being accepted.
For one thing one mental leap I had to make was that the paths are being seen
from the point of view of the remote machine (using a remote file browser I presume).

A less luckier/persistent user might give up in frustration for not being
able to setup their remote toolchain. Other than cancelling the dialog and
connecting first the only way to get the host connection to happen automatically
is to put "/" into the BaseDirectory field and press enter.
*** (#1 of 1): 2011-07-06 13:21:41 PDT ivan
Comment 1 Vladimir Kvashin 2011-09-07 19:48:30 UTC
In fact it is gone after recent changes in remote file system.
However there is an ugly typo ("directory is not exist" instead of "does not"), which, I strongly believe, should be fixed.

http://hg.netbeans.org/cnd-main/rev/65f66af85402http://hg.netbeans.org/cnd-main/rev/65f66af85402
Comment 2 Quality Engineering 2011-09-08 14:32:04 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/65f66af85402
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: Fixed a typo (#199954 - Can't enter a toolchain BaseDirectory on remote machine)
Comment 3 Vladimir Voskresensky 2011-09-09 14:30:48 UTC
patch candidates are P2s
Comment 4 Alexander Simon 2011-09-12 14:43:32 UTC
fix is correct and safe
Comment 5 Vladimir Kvashin 2011-09-12 15:27:33 UTC
Pushed into releases_elif:
http://elif.russia.sun.com/hg/releases_elif/rev/47f2736ce966
Comment 6 Vladimir Kvashin 2011-09-12 17:30:41 UTC
Sorry, the correct change set in releases_elif is
http://elif.russia.sun.com/hg/releases_elif/rev/c9076d856444
Comment 7 Alexander Pepin 2011-09-16 15:00:36 UTC
verified in OSS build 30
Comment 8 Quality Engineering 2011-09-26 13:38:08 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/c9076d856444
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: Fixed a typo (#199954 - Can't enter a toolchain BaseDirectory on remote machine)
(transplanted from 65f66af854024b14a3c7cb2e97049c2c42d111dd)
Comment 9 Alexander Pepin 2011-09-27 12:42:44 UTC
verified in OSS dev build based on 7.0.1 patch2


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo